zone.h File Reference
`#include "sysdep.h"`

Go to the source code of this file.

## Classes

struct | msgpack_zone_finalizer
struct | msgpack_zone_finalizer_array
struct | msgpack_zone_chunk_list
struct | msgpack_zone

## Macros

#define | MSGPACK_ZONE_CHUNK_SIZE 8192
#define | MSGPACK_ZONE_ALIGN sizeof(void*)

## Typedefs

typedef struct msgpack_zone_finalizer | msgpack_zone_finalizer
typedef struct msgpack_zone_finalizer_array | msgpack_zone_finalizer_array
typedef struct msgpack_zone_chunk | msgpack_zone_chunk
typedef struct msgpack_zone_chunk_list | msgpack_zone_chunk_list
typedef struct msgpack_zone | msgpack_zone

## Functions

MSGPACK_DLLEXPORT bool | msgpack_zone_init (msgpack_zone *zone, size_t chunk_size)
MSGPACK_DLLEXPORT void | msgpack_zone_destroy (msgpack_zone *zone)
MSGPACK_DLLEXPORT msgpack_zone * | msgpack_zone_new (size_t chunk_size)
MSGPACK_DLLEXPORT void | msgpack_zone_free (msgpack_zone *zone)
MSGPACK_DLLEXPORT bool | msgpack_zone_is_empty (msgpack_zone *zone)
MSGPACK_DLLEXPORT void | msgpack_zone_clear (msgpack_zone *zone)
MSGPACK_DLLEXPORT void * | msgpack_zone_malloc_expand (msgpack_zone *zone, size_t size)
bool | msgpack_zone_push_finalizer_expand (msgpack_zone *zone, void(*func)(void *data), void *data)

## Macro Definition Documentation

## MSGPACK_ZONE_ALIGN

#define MSGPACK_ZONE_ALIGN sizeof(void*)

## Function Documentation

## msgpack_zone_malloc_expand()

MSGPACK_DLLEXPORT void* msgpack_zone_malloc_expand | ( | msgpack_zone * | zone,
|  | size_t | size
| ) |  |

## msgpack_zone_push_finalizer_expand()

bool msgpack_zone_push_finalizer_expand | ( | msgpack_zone * | zone,
|  | void(*)(void *data) | func,
|  | void * | data
| ) |  |